List project types
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "a3f1c2d4-7e89-4b56-a123-8d2e9f034c71",
"name": "Internal Delivery",
"isActive": true,
"createdAt": "2025-09-18T14:25:35.149Z",
"invoiceItem": {
"id": "72761804-b01e-4c8f-8352-2fcde43261a8",
"name": "Service"
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Project Types
List project types
GET
/
project-types
List project types
A classification that can be assigned to projects and used to filter reports.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
Filter by name when it exactly matches the provided keyword.